Selection of Character encoding

2013-10-06 03:17 AM - Klas Karlsson

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.0.1 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17485

Description

When opening shapefiles, information in cpg-file is ignored.

QGIS defaults to the last used encoding selection from the "Add vector layer" dialog.

It, doesn't matter what it says in the cpg file, and changing the "Ignore shapefile encoding declaration" option has no effect.

History

#1 - 2014-05-02 12:15 PM - Klas Karlsson

- Status changed from Open to Closed

Since no one has commented, I can close this my self.

There's no problem in QGIS 2.2 with this any more.

#2 - 2014-05-03 05:45 AM - Borys Jurgiel

Also please note the Shapefile Encoding Fixer plugin. It allows you to examine the CPG and the LDID byte. I don't remember which of them is priority. If the

latter, changing CPG file won't help. But of course it's strange the "Ignore" option didn't work.
